

set matsize 5000
set seed 100

local reps=100


forvalues r=1/10 {

matrix P1 = J(`reps',15,.)
matrix P2 = J(`reps',15,.)

forvalues i=1/`reps' {


use $data/boot_sample.dta, clear

timer on `i'
quietly {
bsample , cluster(siren) idcluster(mysiren)

hdfe log_qty log_price entry gdp_w_import gdp_w_export rer_dev_w0s, ///
	absorb(id_spell#mysiren#iso_g#cn8plus iso_g#cn8plus#year) tol(1e-4) keepv(product) clear

reg log_price entry gdp_w_import gdp_w_export rer_dev_w0s
predict log_price_hat, xb	
reg log_qty entry gdp_w_import gdp_w_export i.product#c.log_price_hat
drop log_price_hat

matrix A=e(b)
matrix P1[`i',1] = A[1,4..18]
mat2txt , matrix(P1) saving($tmp/bootstrap_rer_dev_w0s_`r'.xls) replace

}
timer off `i'
timer list `i'
}
}


forvalues r=1/10 {
import delimited $tmp/bootstrap_rer_dev_w0s_`r'.xls, encoding(ISO-8859-1) clear
drop v1 v17
save $tmp/bootstrap_`r'.dta, replace
}

use $tmp/bootstrap_1.dta

forvalues r=2/10 {
append using $tmp/bootstrap_`r'.dta
}

forvalues r=1/15 {
egen kurt`r'=kurt(c`r')
}

collapse (sd) c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 c12 c13 c14 c15 (mean) kurt*
gen one=1
reshape long c kurt , i(one) j(product)
drop one
rename c se_bootstrap_sigma_rer_dev_w0s
gen pdb_rer_dev_w0s=196*sqrt((kurt-1)/4000)

save $data/se_bootstrap.dta, replace




